<?php
// Verifica se o formulario foi enviado
if ($_SERVER["REQUEST_METHOD"] == "POST") {

	// Define os cookies com os valores do formulario
	setcookie("key_google_api", $_POST["key_google_api"], time() + (86400 * 999));
	setcookie("url_api", $_POST["url_api"], time() + (86400 * 999));
	setcookie("client_id", $_POST["client_id"], time() + (86400 * 999));
	setcookie("client_secret", $_POST["client_secret"], time() + (86400 * 999));
	
	// Mensagem de confirmacao
	$message = "Configurações salvas com sucesso!";
	
	// Armazena os valores do POST para exibicao imediata
	$form_values = [
		'key_google_api' => $_POST["key_google_api"],
		'url_api' => $_POST["url_api"],
		'client_id' => $_POST["client_id"],
		'client_secret' => $_POST["client_secret"]
	];

} else {

	// Usa valores dos cookies se nao houver POST
	$form_values = [
		'key_google_api' => isset($_COOKIE['key_google_api']) ? $_COOKIE['key_google_api'] : '',
		'url_api' => isset($_COOKIE['url_api']) ? $_COOKIE['url_api'] : '',
		'client_id' => isset($_COOKIE['client_id']) ? $_COOKIE['client_id'] : '',
		'client_secret' => isset($_COOKIE['client_secret']) ? $_COOKIE['client_secret'] : ''
	];

}
?>
<!DOCTYPE html>
<html lang="pt-BR">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Configuração de API</title>
<style>
body {
	font-family: Arial, sans-serif;
	max-width: 600px;
	margin: 0 auto;
	padding: 20px;
}

.form-group {
	margin-bottom: 15px;
}

label {
	display: block;
	margin-bottom: 5px;
}

input[type="text"] {
	width: 100%;
	padding: 8px;
	box-sizing: border-box;
}

input[type="submit"], input[type="button"] {
	background-color: #4CAF50;
	color: white;
	padding: 10px 15px;
	border: none;
	cursor: pointer;
}

input[type="submit"]:hover, input[type="button"]:hover {
	background-color: #45a049;
}

.mapa-btn {
	position: absolute;
	top: 10px;
	right: 10px;
	background-color: #000;
	color: white;
	padding: 10px 15px;
	text-decoration: none;
	border-radius: 5px;
	z-index: 1000;
}

.mapa-btn:hover {
	background-color: #45a049;
}

.message {
	color: green;
	margin-bottom: 15px;
}

footer {
	margin-top: 20px;
	text-align: center;
}
</style>
</head>
<body>
	<a href="index.php" class="mapa-btn">Mapa</a>

	<h2>Configuração de API</h2>
	
	<?php if (isset($message)) : ?>
		<div class="message"><?php echo $message; ?></div>
	<?php endif; ?>
	
	<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
		<div class="form-group">
			<label for="key_google_api">Chave Google API:</label>
			<input type="text" id="key_google_api" name="key_google_api" value="<?php echo htmlspecialchars($form_values['key_google_api']); ?>">
			<a href="https://developers.google.com/maps/documentation/geocoding/get-api-key?hl=pt-br" target="_blank"><small> Obter uma chave/autenticação no Google </small></a>
		</div>
		<div class="form-group">
			<label for="url_api">URL da API:</label>
			<input type="text" id="url_api" name="url_api" placeholder="https://url.do.seu.mk-auth/api/" value="<?php echo htmlspecialchars($form_values['url_api']); ?>">
		</div>
		<div class="form-group">
			<label for="client_id">Client_Id da API:</label>
			<input type="text" id="client_id" name="client_id" value="<?php echo htmlspecialchars($form_values['client_id']); ?>">
		</div>
		<div class="form-group">
			<label for="client_secret">Client_Secret da API:</label>
			<input type="text" id="client_secret" name="client_secret" value="<?php echo htmlspecialchars($form_values['client_secret']); ?>">
		</div>
		<input type="submit" value="Salvar Configurações">
	</form>

	<footer>
		<a href="gmaps.zip"><small> Download dos fontes </small></a>
	</footer>
</body>
</html>